---
title: The only single product for the complete DevOps lifecycle - GitLab
description: “GitLab is the leading integrated product for modern software development. Connecting issue management, version control, code review, CI, CD, and monitoring into a single, easy-to-install application, we help teams go faster from planning to monitoring.”
suppress_header: true
layout: home
extra_css:
  - home.css
extra_js:
  - libs/on-scroll.js
  - home.js
  - all-clickable.js
---

= partial "includes/home/eleven-oh-announcement"
= partial "includes/home/customer-logos-transparent"
.container
  = partial "includes/home/sdlc"
.container
  = partial "includes/home/value-pillars"
%section
  .container
    .integrated-teams
      .row
        .col-md-4.u-margin-bottom-xs-if-xs
          %h2.main-heading Integrated teams working together
        .col-md-8
          %p GitLab is the first single application built from the ground up for all stages of the DevOps lifecycle for Product, Development, QA, Security, and Operations teams to work concurrently on the same project. GitLab enables teams to collaborate and work from a single conversation, instead of managing multiple threads across disparate tools. GitLab provides teams a single data store, one user interface, and one permission model across the DevOps lifecycle allowing teams to collaborate, significantly reducing cycle time and focus exclusively on building great software quickly.

%section.u-padding-bottom-md
  .container
    .row
      .col-md-12.gke-layer
        .gke-layer-body
          %h2.main-heading GitLab + Google Cloud Platform = simplified, scalable deployment

          %p
            GitLab’s native Google Kubernetes Engine integration increases developer productivity. With Auto DevOps, GitLab automatically configures CI/CD pipelines to build, test, verify, and deploy applications to Google Cloud Platform.

          .btn-group
            %a.btn.cta-btn.btn-primary{ href: '/google-cloud-platform' } Learn more

        .gke-layer-media
          = image_tag "/images/home/gitlab-gke-integration-image@2x.png"

%section.u-padding-bottom-sm
  .container
    .row.text-center
      .col-xs-12
        %h2.main-heading.u-margin-bottom-md Work Concurrently, No More Handoffs

    .row
      .col-md-6
        .row.u-margin-bottom-sm
          .col-xs-4.text-right
            = image_tag "/images/home/shift-to-left.png"

          .col-xs-8
            %p Dev, QA, Security and Operations are part of a single conversation throughout the lifecycle. Detect problems earlier by ‘shifting them to the left’ and solving them with out delays.

      .col-md-6
        .row.u-margin-bottom-sm
          .col-xs-4.text-right
            = image_tag "/images/home/lifecycle.png"

          .col-xs-8
            %p Teams work at the same time instead of waiting for Security, QA, and Operations handoffs because teams are backlogged.

= partial "includes/home/enterprise-edition"

= partial "includes/home/ten-oh-announcement"

= partial "includes/home/customers"

%section.featured-content.u-margin-top-lg-const.u-margin-bottom-xl-const
  .container
    .row.divider-half.flex-row
      .flex-container.flex-column.full-width
        .text-center.u-margin-bottom-xs-const
          = image_tag "/images/home/forrester-logo.png", alt: "Forrester Logo"

        = image_tag "/images/home/forrester-ci-wave-graphic-with-arrow.svg", alt: "GitLab is in the Leader’s arc", class: "forrester-wave-graphic"

        %p.custom-fake-class{:style => "padding-top: 33px"} “GitLab supports development teams with a well-documented installation and configuration processes, an easy-to-follow UI, and a flexible per-seat pricing model that supports self service. GitLab’s vision is to serve enterprise-scale, integrated software development teams that want to spend more time writing code and less time maintaining their tool chain.”

        .btn-group
          %a.btn.cta-btn.accent.margin-top20{ href: '/2017/09/27/gitlab-leader-continuous-integration-forrester-wave/' } Read more

      .flex-container.flex-column.full-width
        .text-center.u-margin-bottom-xs-const
          = image_tag "/images/home/forrester-logo.png", alt: "Forrester Logo"

        = image_tag "/images/vsm/ForresterVSM_3.png", alt: "Forrester Value Stream Management New Wave", class: "forrester-wave-graphic"

        %p GitLab is a "Strong Performer" in The Forrester New Wave: Value Stream Management Tools, Q3 2018. According to the report, “GitLab combines end-to-end capability with the power of open source. GitLab offers a DevOps tool for each step of the software development process. Top-level views sitting across these tools provide its VSM functionalities."

        .btn-group
          %a.btn.cta-btn.accent.margin-top20{ href: 'https://reprints.forrester.com/#/assets/2/921/RES141538/reports', target: "_blank" } Read more

= partial "includes/home/feature-group"
